<html>
<head>
<meta charset="utf-8"/>
<title>Login/logout</title>
<header>
<h1>GPU Viewer</h1>
</header>
</head>

<body>
<h3> Search Results </h3>
<table style="width:100%">
		<tbody>
			
			{% for keys in comparison_list%}
			<tr>
				<h4><th>Features: </th></h4>
				<td><a href="{{ uri_for('view', key_id= keys.key.id() ) }}"> {{keys.key.id()}}</a> </td>
			</tr>	
			<tr>
						<th>Manufacturer:</th>
						<td>{{keys.manufacturer}}	</td>
			</tr>
					<tr>
						<th>geometryShader:	</th>
						<td>{{keys.geometryShader}}	</td>
					</tr>
					<tr>
						<th>tesselationShader: </th>
						<td>{{keys.tesselationShader}}	</td>
					</tr>
					<tr>
						<th>shaderInt16:</th>
						<td>{{keys.shaderInt16}}	</td>
					</tr>
					<tr>
						<th>sparseBinding: </th>
						<td>{{keys.sparseBinding}}	</td>
					</tr>
					<tr>
						<th>textureCompressionETC2:	</th> 
						<td>{{keys.textureCompressionETC2}}	</td>
					</tr>
					<tr>
						<th>vertexPipelineStoresAndAtomics </th>
						<td> {{keys.vertexPipelineStoresAndAtomics}}	</td>
					</tr>
						
				

			
			
			
			{% endfor %}
	<tbody>
</table>

</body>
</html>

<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}

header {
  background-color: #666;
  padding: 25px;
  text-align: center;
  font-size: 20px;
  color: white;
}


</style>